import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { AVCaptionRubyAlignment } from "./AVCaptionRubyAlignment.js";
import type { AVCaptionRubyPosition } from "./AVCaptionRubyPosition.js";
export declare class _AVCaptionRuby extends _NSObject {
    static alloc(): _AVCaptionRuby;
    static new(): _AVCaptionRuby;
    init(): _AVCaptionRuby;
    initWithText$(text: _NSString): _AVCaptionRuby;
    initWithText$position$alignment$(text: _NSString, position: AVCaptionRubyPosition, alignment: AVCaptionRubyAlignment): _AVCaptionRuby;
    /** @property text @abstract The ruby text */
    text(): _NSString;
    /**
     * @property position @abstract The position of ruby text with respect to the ruby base.
     */
    position(): AVCaptionRubyPosition;
    /** @property alignment @abstract The alignment of ruby text. */
    alignment(): AVCaptionRubyAlignment;
}
export interface _AVCaptionRuby extends _NSCopying, _NSSecureCoding {
}
